MessageDestination (Apache Tomcat 11.0.8 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: MessageDestination

# Class MessageDestination

java.lang.Object
org.apache.tomcat.util.descriptor.web.ResourceBase
org.apache.tomcat.util.descriptor.web.MessageDestination

All Implemented Interfaces:
  `Serializable`, `Injectable`

public class MessageDestination extends ResourceBase

Representation of a message destination for a web application, as represented in a `<message-destination>` element in the deployment descriptor.

Since:
  Tomcat 5.0
Author:
  Craig R. McClanahan
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageDestination()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `getDisplayName()`
  `String`
  `getLargeIcon()`
  `String`
  `getSmallIcon()`
  `int`
  `hashCode()`
  `void`
  `setDisplayName(String displayName)`
  `void`
  `setLargeIcon(String largeIcon)`
  `void`
  `setSmallIcon(String smallIcon)`
  `String`
  `toString()`
  Return a String representation of this object.

  ### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

  `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MessageDestination

    public MessageDestination()

- ## Method Details

  - ### getDisplayName

    public String getDisplayName()

  - ### setDisplayName

    public void setDisplayName(String displayName)

  - ### getLargeIcon

    public String getLargeIcon()

  - ### setLargeIcon

    public void setLargeIcon(String largeIcon)

  - ### getSmallIcon

    public String getSmallIcon()

  - ### setSmallIcon

    public void setSmallIcon(String smallIcon)

  - ### toString

    public String toString()
    Return a String representation of this object.
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `ResourceBase`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `ResourceBase`